Building the "PyCharm - Flask" plugin

Hello,

I am trying to build the PyCharm-Flask plugin in IntelliJ IDEA Community, but the import com.jetbrains.python referential dependency is not part of the source and does not let me build
Could someone please advice on this?

Thanks!

- Martin

1 comment

The easiest thing to do is to create an IntelliJ IDEA plugin SDK pointing to an installation of PyCharm.

Note that the Python plugin (which the Flask plugin depends on) is not compatible with IntelliJ IDEA Community Edition, so if you want to hack on the Flask plugin, you need to have a license for either IntelliJ IDEA Ultimate or PyCharm.

0

Please sign in to leave a comment.